Subject: bug#6789: propose renaming gnulib memxfrm to amemxfrm (naming collision with coreutils)

From: Paul Eggert <[email-masked]>
Date: Fri, 06 Aug 2010 10:53:55 -0700

On 08/06/10 01:22, Paolo Bonzini wrote:
> ISAAC is a RNG, so wouldn't that have the same problem above?  You
> definitely need to use a hash function, it's just that you do not need a
> cryptographic one.

I had been thinking of using ISAAC by making the key its seed, and
asking it to generate some random values, and then comparing the
random values.  Any RNG can be used (or abused :-) in this way.

I just now tried, that, though, and discovered that on my million line
benchmark the MD5 method is about 4 times faster than the ISAAC-based
method.  So that idea was not a good one.  I suppose we could try a
non-cryptographic hash function at some point.